#!/usr/bin/env bash

echo "======= R1: Activating IP forwarding ======="
ssh R1 "echo 1 > /proc/sys/net/ipv4/ip_forward"

echo "======= R1: Obtaining IP for eth0 ======="
ssh R1 dhclient -v eth0

echo "======= H1: Setting up static 10.0.0.1/24 IP for eth0 ======="
ssh H1 ip addr add 10.0.0.1/24 dev eth0
ssh H1 ip link set up dev eth0

echo "======= R1: Setting up static 10.0.0.2/24 IP for eth1 ======="
ssh R1 ip addr add 10.0.0.2/24 dev eth1
ssh R1 ip link set up dev eth1

echo "======= H1: Setting default route via R1 (i.e. 10.0.0.2) ======="
ssh H1 ip route add default via 10.0.0.2

echo "======= R1: Implementing NAT gateway ======="
scp ./r1_nat.ruleset root@R1:/root
ssh R1 nft -f ./r1_nat.ruleset

echo "======= H1 and R1: Installing tcpdump ======="
ssh H1 apt update 
ssh H1 apt install -y tcpdump

ssh R1 apt update 
ssh R1 apt install -y tcpdump
